%bcond_without gfortran

Name:           cmz
Version:        1.50.21.5
Release:        1%{!?with_gfortran:.f77}
Summary:        Source Code Management and Version Control System

Group:          Development/Tools
License:        GPL
URL:            http://wwwcmz.web.cern.ch/wwwcmz/
Source0:        http://www.environnement.ens.fr/perso/dumas/mini_ker/software.html/cmz-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Buildrequires:  car2txt
%if %{with gfortran}
Buildrequires: gcc-gfortran
%else
Buildrequires: /usr/bin/g77
%endif


%description
CMZ provides a pleasant and powerful environment for the development and 
maintenance of code, the word ``code'' signifying here anything that is 
like a compilable program, documentation or data to be manipulated.

%prep
%setup -q 

%build
#  -Wp,-D_FORTIFY_SOURCE=2  leads to invalid build
export CFLAGS=`echo "%optflags" | sed -e 's/-Wp,-D_FORTIFY_SOURCE=2//'`

%if %{with gfortran}
export F77=gfortran
%else
# beware, this is for x86 only!
#export FFLAGS="-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -m32 -march=i386 -mcpu=pentium4 -fasynchronous-unwind-tables"
# saner way to remove flags g77 don't handle
export FFLAGS=`echo "%optflags" | sed -e 's/-mtune=[^ ]\+//' -e 's/-fstack-protector//' -e 's/--param=ssp-buffer-size=[^ ]\+//'`
%endif
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS copyrights cmz/NEWS
%{_bindir}/cmz
%{_bindir}/cmspawn
%{_bindir}/cmesvr

%changelog
* Fri Dec  1 2006 Patrice Dumas <dumas at centre-cired.fr> 1.50.21.5-1
- update to 1.50.21.5

* Sat Nov 26 2005 Patrice Dumas <dumas at centre-cired.fr> - 1.50.21-1
- initial rpm packaging
